"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cast_1 = __importDefault(require("./cast"));
function default_1(columns, data) {
    const d = (0, cast_1.default)({});
    for (let i = 0, len = columns.length; i < len; i++) {
        const column = columns[i];
        const name = (0, cast_1.default)(column.name);
        const value = data[column.name];
        if (value === null || value === undefined) {
            if (value === null) {
                d[name] = {
                    set: null
                };
            }
            continue;
        }
        d[name] = {
            set: value
        };
    }
    return d;
}
exports.default = default_1;
//# sourceMappingURL=insertToUpdate.js.map