"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAX_TIMEOUT = void 0;
exports.MAX_TIMEOUT = 2147483647;
function sleep(ms, cb) {
    return new Promise(async (resolve) => {
        if (ms > exports.MAX_TIMEOUT) {
            while (ms > exports.MAX_TIMEOUT) {
                await sleep(exports.MAX_TIMEOUT, cb);
                ms -= exports.MAX_TIMEOUT;
            }
            return sleep(ms, cb).then(resolve);
        }
        else {
            cb(setTimeout(resolve, ms));
        }
    });
}
exports.default = sleep;
//# sourceMappingURL=sleep.js.map