"use strict";
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _a, _DatabaseError_make;
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseError = void 0;
const DatabaseErrorMessages_1 = require("../typings/enums/DatabaseErrorMessages");
class DatabaseError extends Error {
    constructor(code, ...params) {
        super(__classPrivateFieldGet(DatabaseError, _a, "m", _DatabaseError_make).call(DatabaseError, code, ...params));
    }
}
exports.DatabaseError = DatabaseError;
_a = DatabaseError, _DatabaseError_make = function _DatabaseError_make(code, ...params) {
    const m = DatabaseErrorMessages_1.DatabaseErrorMessages[code];
    if (code.includes("_")) {
        return __classPrivateFieldGet(this, _a, "m", _DatabaseError_make).call(this, m, ...params);
    }
    params.map((x, y) => code = code.replace(`$${y + 1}`, `${x}`));
    return code;
};
//# sourceMappingURL=DatabaseError.js.map