"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnDataType = void 0;
var ColumnDataType;
(function (ColumnDataType) {
    ColumnDataType[ColumnDataType["INT"] = 0] = "INT";
    ColumnDataType[ColumnDataType["INTEGER"] = 1] = "INTEGER";
    ColumnDataType[ColumnDataType["TINYINT"] = 2] = "TINYINT";
    ColumnDataType[ColumnDataType["SMALLINT"] = 3] = "SMALLINT";
    ColumnDataType[ColumnDataType["MEDIUMINT"] = 4] = "MEDIUMINT";
    ColumnDataType[ColumnDataType["BIGINT"] = 5] = "BIGINT";
    ColumnDataType[ColumnDataType["UNSIGNED_BIG_INT"] = 6] = "UNSIGNED_BIG_INT";
    ColumnDataType[ColumnDataType["INT2"] = 7] = "INT2";
    ColumnDataType[ColumnDataType["INT8"] = 8] = "INT8";
    ColumnDataType[ColumnDataType["CHARACTER"] = 9] = "CHARACTER";
    ColumnDataType[ColumnDataType["VARCHAR"] = 10] = "VARCHAR";
    ColumnDataType[ColumnDataType["NCHAR"] = 11] = "NCHAR";
    ColumnDataType[ColumnDataType["NATIVE_CHARACTER"] = 12] = "NATIVE_CHARACTER";
    ColumnDataType[ColumnDataType["NVARCHAR"] = 13] = "NVARCHAR";
    ColumnDataType[ColumnDataType["TEXT"] = 14] = "TEXT";
    ColumnDataType[ColumnDataType["CLOB"] = 15] = "CLOB";
    ColumnDataType[ColumnDataType["BLOB"] = 16] = "BLOB";
    ColumnDataType[ColumnDataType["REAL"] = 17] = "REAL";
    ColumnDataType[ColumnDataType["DOUBLE"] = 18] = "DOUBLE";
    ColumnDataType[ColumnDataType["DOUBLE_PRECISION"] = 19] = "DOUBLE_PRECISION";
    ColumnDataType[ColumnDataType["FLOAT"] = 20] = "FLOAT";
    ColumnDataType[ColumnDataType["NUMERIC"] = 21] = "NUMERIC";
    ColumnDataType[ColumnDataType["DECIMAL"] = 22] = "DECIMAL";
    ColumnDataType[ColumnDataType["BOOLEAN"] = 23] = "BOOLEAN";
    ColumnDataType[ColumnDataType["DATE"] = 24] = "DATE";
    ColumnDataType[ColumnDataType["DATETIME"] = 25] = "DATETIME";
    /**
     * Below are implemented by the wrapper
     */
    ColumnDataType[ColumnDataType["JSON"] = 26] = "JSON";
})(ColumnDataType = exports.ColumnDataType || (exports.ColumnDataType = {}));
//# sourceMappingURL=ColumnDataType.js.map