import { ColumnDataType } from "../enums/ColumnDataType";
import { DataTypes } from "../types/DataTypes";
import { If } from "../types/If";
export interface ColumnData<T extends boolean = boolean> {
    name: If<T, string, null>;
    type: If<T, ColumnDataType, null>;
    storedType: If<T, DataTypes, null>;
    notNull: If<T, boolean, null>;
    primary: If<T, boolean, null>;
    incrementing: If<T, boolean, null>;
    value: If<T, unknown, null>;
}
//# sourceMappingURL=ColumnData.d.ts.map