"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../..");
function default_1() {
    return function (target, property, descriptor) {
        const fn = descriptor.value;
        descriptor.value = function (...params) {
            const dbInstance = this.db ?? this;
            if (dbInstance.isReady?.() === false) {
                throw new __1.DatabaseError('DATABASE_NOT_CONNECTED');
            }
            const res = fn.call(this, ...params);
            return res;
        };
    };
}
exports.default = default_1;
//# sourceMappingURL=DatabaseConnected.js.map