"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseErrorMessages = void 0;
var DatabaseErrorMessages;
(function (DatabaseErrorMessages) {
    DatabaseErrorMessages["UNSUPPORTED_TYPE"] = "Data type '$1' is not supported.";
    DatabaseErrorMessages["UNEXPECTED_TYPE"] = "Expected type '$2' but got '$1'.";
    DatabaseErrorMessages["NO_CONDITION_FOUND"] = "Could not find any condition for column '$1'.";
    DatabaseErrorMessages["NO_PRIMARY_COLUMN"] = "Could not find any primary column to perform this query.";
    DatabaseErrorMessages["TABLE_NOT_FOUND"] = "Table '$1' does not exist.";
    DatabaseErrorMessages["DATABASE_NOT_CONNECTED"] = "This operation cannot be performed because the database is not connected.";
})(DatabaseErrorMessages = exports.DatabaseErrorMessages || (exports.DatabaseErrorMessages = {}));
//# sourceMappingURL=DatabaseErrorMessages.js.map